> For the complete documentation index, see [llms.txt](https://docs.datasaur.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datasaur.ai/api/get-data/get-list-of-tags.md).

# Get List of Tags

You can retrieve a list of tags.

## Personal Tags - cURL

Use the following cURL command to get personal tags. You can copy and paste the following template.

```javascript
curl --location --request POST 'https://datasaur.ai/graphql' \
--header 'Authorization: Bearer access_token' \
--header 'Content-Type: application/json' \
--data-raw '{
  "query": "query { getPersonalTags { id name } }"
}'
```

* **query** uses the value in the sample above.

## Response

Here is the response you can expect after issuing the cURL command.

```javascript
{
  "data": {
    "getPersonalTags": [
      {
        "id": "1",
        "name": "Example"
      }
    ]
  },
  "extensions": {}
}
```

## Team Tags - cURL

Use the following cURL command to get team tags. You can copy and paste the following template and replace the **teamId**.

```javascript
curl --location --request POST 'https://datasaur.ai/graphql' \
--header 'Authorization: Bearer access_token' \
--header 'Content-Type: application/json' \
--data-raw '{
    "query": "query GetTagsQuery($input: GetTagsInput!) { getTags(input: $input) { id name } }",
    "variables": {
        "input": {
            "teamId": "1"
        }
    }
}'
```

* **query** use the value in the sample above.
* **variables**
  * **input**
    * **teamId:** Required. team's id that you want to retrieve the list of tags from.

## Response

Here is the response you can expect after issuing the cURL command.

```javascript
{
    "data": {
        "getTags": [
          {
            "id": "2",
            "name": "Example"
          },
        ],
    },
    "extensions": {}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datasaur.ai/api/get-data/get-list-of-tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
